Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.cloudbalancing.domain
Class CloudBalance

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.cloudbalancing.domain.CloudBalance

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, Solution<HardAndSoftScore>

    public class CloudBalance

extends AbstractPersistable
implements Solution<HardAndSoftScore>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`CloudBalance()`

Method Summary
`CloudBalance` | `cloneSolution()` Clone will only deep copy the `processList`.
`boolean` | `equals(Object o)`
`List<CloudComputer>` | `getComputerList()`
`Collection<? extends Object>` | `getProblemFacts()` Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `WorkingMemory`.
`List<CloudProcess>` | `getProcessList()`
`HardAndSoftScore` | `getScore()` Returns the Score of this Solution.
`int` | `hashCode()`
`void` | `setComputerList(List<CloudComputer> computerList)`
`void` | `setProcessList(List<CloudProcess> processList)`
`void` | `setScore(HardAndSoftScore score)` Called by the `Solver` when the Score of this Solution has been calculated.

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloudBalance

    public CloudBalance()

Method Detail

### getComputerList

    public List<CloudComputer> getComputerList()

### setComputerList

    public void setComputerList(List<CloudComputer> computerList)

### getProcessList

    public List<CloudProcess> getProcessList()

### setProcessList

    public void setProcessList(List<CloudProcess> processList)

### getScore

    public HardAndSoftScore getScore()

  Description copied from interface: `Solution`
  Returns the Score of this Solution.

  Specified by:
    `getScore` in interface `Solution<HardAndSoftScore>`
  Returns:
    null if the Solution is uninitialized or the last calculated Score is dirty the new Score has not yet been recalculated

### setScore

    public void setScore(HardAndSoftScore score)

  Description copied from interface: `Solution`
  Called by the `Solver` when the Score of this Solution has been calculated.

  Specified by:
    `setScore` in interface `Solution<HardAndSoftScore>`
  Parameters:
    `score` - null if the Solution has changed and the new Score has not yet been recalculated

### getProblemFacts

    public Collection<? extends Object> getProblemFacts()

  Description copied from interface: `Solution`
  Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `WorkingMemory`. These facts can be used by the score rules. They don't change during planning (except through `ProblemFactChange` events).

  Do not include the planning entities as problem facts: they are automatically inserted into the `WorkingMemory` if and only if they are initialized. When they are initialized later, they are also automatically inserted.

  Specified by:
    `getProblemFacts` in interface `Solution<HardAndSoftScore>`
  Returns:
    never null (although an empty collection is allowed), all the facts of this solution except for the planning entities

### cloneSolution

    public CloudBalance cloneSolution()

  Clone will only deep copy the `processList`.

  Specified by:
    `cloneSolution` in interface `Solution<HardAndSoftScore>`
  Returns:
    never null, a clone of which the properties that change during solving are deep cloned

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.